# Copyright © 2022 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or any later version.
# This is free software: you are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=8

PYTHON_COMPAT=( python3_{9..10} )

DISTUTILS_USE_PEP517=setuptools

inherit distutils-r1

DESCRIPTION="Library to find available local network ports"
HOMEPAGE="https://github.com/google/python_portpicker https://pypi.org/project/portpicker/"
SRC_URI="mirror://pypi/${PN:0:1}/$PN/$P.tar.gz"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"

python_test () {
	# Tests depend on portserver being imported as a module
	distutils_install_for_testing --install-scripts=lib
	epytest -s
}
